.teaserimage--6 .teaserimage__items {
  display: grid;
  gap: 1.25rem;
}

.teaserimage--6 .teaserimage__item {
  display: flex;
  flex-direction: column;
  justify-content: start;
  background-color: white;
  position: relative;
  overflow: hidden;
}

.teaserimage--6 .teaserimage__image > * {
  position: relative;
  width: 100%;
  aspect-ratio: 4 / 3;
  object-fit: cover;
}

.teaserimage--6 .teaserimage__image::before {
  content: '';
  position: absolute;
  inset: 0;
  background: var(--clr-secondary-mid);
  background: var(--clr-gradient-secondary-70);
  z-index: 1;
}

.teaserimage--6 .teaserimage__title {
  display: flex;
  align-items: center;
  justify-content: space-between;

  padding: 1.25rem;

  font-family: var(--ff-base-700);
  font-size: clamp(1rem, 1.187vw + 0.573rem, 1.75rem);
  line-height: clamp(1rem, 1.187vw + 0.573rem, 1.75rem);
  text-transform: uppercase;
  color: var(--clr-white);

  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  z-index: 9;
}

.teaserimage--6 .teaserimage__title svg {
  flex-shrink: 0;
  transform: scale(1);
  transition: transform 400ms ease;
}

.teaserimage--6 .teaserimage__text {
  padding: 1.25rem;
  line-height: 1.875rem;
  color: var(--clr-white);
  background-color: var(--clr-secondary-80);
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 9;
  transform: translate3d(0, 100%, 0);
  transition: transform 400ms ease;
}

.teaserimage--6 .teaserimage__link {
  position: absolute;
  inset: 0;
  z-index: 10;
  text-indent: -9999px;
}

.teaserimage--6 .teaserimage__item:hover .teaserimage__title svg {
  color: var(--clr-primary);
  transform: scale(1.2);
}

.teaserimage--6 .teaserimage__item:hover .teaserimage__text {
  transform: translate3d(0, 0, 0);
}

@media (min-width: 992px) {
  .teaserimage--6 .teaserimage__items {
    grid-template-columns: repeat(3, 1fr);
  }
}
